GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Typedefs | Enumerations
building.h File Reference

Defines types related to building reaction networks in the GridFire engine. More...

`#include <variant>`
Include dependency graph for building.h:
This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | gridfire
namespace | gridfire::engine

## Typedefs
using | gridfire::engine::BuildDepthType = std::variant<NetworkBuildDepth, int>
| Variant specifying either a predefined NetworkBuildDepth or a custom integer depth.

## Enumerations
enum class | gridfire::engine::NetworkBuildDepth { gridfire::engine::Full = -1 , gridfire::engine::Shallow = 1 , gridfire::engine::SecondOrder = 2 , gridfire::engine::ThirdOrder = 3 , gridfire::engine::FourthOrder = 4 , gridfire::engine::FifthOrder = 5 }
| Specifies supported depths for building the reaction network. More...

## Detailed Description

Defines types related to building reaction networks in the GridFire engine.

This file contains the enumeration and variant type used to specify the depth of reaction network construction within the GridFire simulation engine.